package org.jlibsedml.execution;

/**
 * The single method  getMappings () in this class should return an object capable of mapping between the column headings generated by the 
 *  simulation engine, to the model variable identifiers whose time course is being plotted. <br>
 *  For example, in SBML, simulation engine may use the the getName() method to label columns. In this 
 *   case, this method should provide a means to access the modelID from the model name.
 */
public interface IRawSedmlSimulationResults extends IProcessedSedMLSimulationResults {

	/**
	 * @return  A non-null IModel2DataMappings object.
	 */
	public IModel2DataMappings getMappings();
}